Fix managesieve using only tls1.0.

Review Request #129029 - Created Sept. 26, 2016 and submitted

Information
Andrius Štikonas
libksieve
master
342567
Reviewers
kdepim
dvratil, mlaurent
At the moment managesieve uses only TLSv1.0.
I tested this with my dovecot server.

Before:
managesieve-login: Login: service=sieve, user=<andrius>, session=mFJPf2s9ENKB15tT, method=PLAIN, rip=129.215.155.83, lip=192.168.1.2, mpid=5258, TLS, TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits

After this patch:
managesieve-login: Login: service=sieve, user=<andrius>, session=Gm5Mm2s9OtKB15tT, method=PLAIN, rip=129.215.155.83, lip=192.168.1.2, mpid=5370, TLS, TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits)
Andrius Štikonas
Daniel Vrátil
Andrius Štikonas
Review request changed

Status: Closed (submitted)

Change Summary:

Submitted with commit 98c3d5326a510dfd5ddc10f2ff95b1bf690342e2 by Andrius Štikonas to branch master.
Loading...